package it.unimi.di.archive4j.test;
import it.unimi.di.archive4j.Archive;
import it.unimi.di.archive4j.ArchiveLoader;
import it.unimi.di.archive4j.DocumentSummary;

import java.io.IOException;

import org.apache.commons.configuration.ConfigurationException;


public class TestSpeed {

	@SuppressWarnings("unchecked")
	public static void main( String[] arg ) throws ConfigurationException, IOException {
		Archive<? extends DocumentSummary> archive = ArchiveLoader.getInstance( arg[ 0 ], true );
		int count[] = new int[ archive.numberOfTerms() ];
		int c = 0;
		long time = -System.currentTimeMillis();
		for( DocumentSummary a : archive ) {
			c++;
			for( int i = a.size(); i-- != 0; ) count[ a.term( i )]++;
		}
		time += System.currentTimeMillis();
		System.out.print( "Counted " + ( c * 1000.0 ) / time + " docs/s" );
	}
}
